Apache Tomcat 7.0.42

## org.apache.catalina.startup
Class ClassLoaderFactory.Repository

    java.lang.Object
      org.apache.catalina.startup.ClassLoaderFactory.Repository

Enclosing class:
  ClassLoaderFactory

    public static class ClassLoaderFactory.Repository

extends Object

Constructor Summary
`ClassLoaderFactory.Repository(String location, ClassLoaderFactory.RepositoryType type)`

Method Summary
`String` `getLocation()`
`ClassLoaderFactory.RepositoryType` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderFactory.Repository

    public ClassLoaderFactory.Repository(String location,
                                         ClassLoaderFactory.RepositoryType type)

Method Detail

### getLocation

    public String getLocation()

### getType

    public ClassLoaderFactory.RepositoryType getType()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.